{{ define "header" }}
    <head>
        <meta charset="UTF-8">
        <title>Mineral Magpie {{.Title}}</title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css" integrity="sha384-PmY9l28YgO4JwMKbTvgaS7XNZJ30MK9FAZjjzXtlqyZCqBY6X6bXIkM++IkyinN+" crossorigin="anonymous">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap-theme.min.css" integrity="sha384-jzngWsPS6op3fgRCDTESqrEJwRKck+CILhJVO5VvaAZCq8JYf8HsR/HPpBOOPZfR" crossorigin="anonymous">
        <link rel="stylesheet" href="/css/magpie.css" type="text/css"/>

        <script src="https://code.jquery.com/jquery-1.12.4.min.js" integrity="sha384-nvAa0+6Qg9clwYCGGPpDQLVpLNn0fRaROjHqs13t4Ggj3Ez50XnGQqc/r8MhnRDZ" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js" integrity="sha384-vhJnz1OVIdLktyixHY4Uk3OHEwdQqPppqYR8+5mjsauETgLOcEynD9oPHhhz18Nw" crossorigin="anonymous"></script>
        <script src="/js/Chart.min.js" type="text/javascript"></script>
    </head>
{{ end }}

{{ define "nav" }}
    <nav class="navbar navbar-inverse navbar-static-top">
        <div class="container-fluid">
            <div class="navbar-header">
                <a class="navbar-brand" href="/">
                    <span class="glyphicon glyphicon-cd"></span>
                    <span>Mineral Magpie Ltd</span>
                </a>
            </div>
            <form class="navbar-form navbar-right" method="get" action="/search">
                <div class="form-group">
                    <input name="q" type="text" class="form-control" placeholder="System Name">
                </div>
                <button type="submit" class="btn btn-default"><span class="glyphicon glyphicon-search"></span> System Search</button>
            </form>
        </div>
    </nav>
{{ end }}

{{ define "footer" }}

{{ end }}

{{ define "system_summary" }}
    <div class="starsystem_chart">
        {{ $id := rand }}
        <canvas class="system_top_mineral" id="top_minerals_{{$id}}"></canvas>
        <script type="text/javascript">

        if (typeof graph_delay == 'undefined') {
            graph_delay = 100;
        }

        setTimeout(function () {

            var opts = {
                responsive: true,
                maintainAspectRatio: false,
                legend: {
                    display: false
                },
                title: "Top minerals in {{.Name}}"
            };

            var data = {
                labels: [],
                datasets: [
                    {
                        data: [],
                        backgroundColor: [
                            "darkred",
                            "gold",
                            "green",
                            "orange",
                            "blue",
                            "indigo",
                            "mediumorchid",
                            "darkblue"
                        ]
                    }
                ],
            };

            {{ range $key, $value := .TopMineralMass }}
            data.datasets[0]["data"].push({{$value}});
            data.labels.push("{{$key}}");
            {{ end}}

                var ctx = $("#top_minerals_{{$id}}");
                new Chart(ctx, {
                    type: "doughnut",
                    data: data,
                    options: opts
                });
            }, graph_delay);

        graph_delay += 140;

        </script>
    </div>
    <div class="starsystem_basic_stats">
        <table>
            <tr>
                <th></th><th>24hrs</th><th>7 days</th><th>Total</th>
            </tr>
            <tr>
                <th>Mined</th>
                <td> {{ .Mined.Day}}t </td>
                <td> {{ .Mined.Week}}t </td>
                <td> {{ .Mined.Total}}t </td>
            </tr>
            <tr>
                <th>Deep Cores </th>
                <td> {{ .Cores.Day}} </td>
                <td> {{ .Cores.Week}} </td>
                <td> {{ .Cores.Total}} </td>
            </tr>
        </table>
    </div>
{{ end }}

{{ define "body_summary" }}
<div class="row">
    <div class="col-sm-3">
        <div class="body_chart">
        {{ $id := rand }}
        <canvas class="body_top_mineral" id="body_top_minerals_{{$id}}"></canvas>
        <script type="text/javascript">
            var opts = {
                responsive: true,
                maintainAspectRatio: false,
                legend: {
                    position: "left"
                },
                title: "Top minerals from {{.Name}}"
            };

            var data = {
                labels: [],
                datasets: [
                    {
                        data: [],
                        backgroundColor: [
                            "darkred",
                            "gold",
                            "green",
                            "orange",
                            "blue",
                            "indigo",
                            "mediumorchid"]
                    }
                ],

            };

            {{ range $key, $value := .TopMinerals }}
            data.datasets[0]["data"].push({{$value}});
            data.labels.push("{{$key}}");
            {{ end}}

            var ctx = $("#body_top_minerals_{{$id}}");
            var chart = new Chart(ctx, {
                type: "pie",
                data: data,
                options: opts
            });

        </script>
    </div>
    </div>
    <div class="col-sm-6">
        <div class="body_basic_stats">
        <table>
            <tr>
                <th></th><th>24hrs</th><th>7 days</th><th>Total</th>
            </tr>
            <tr>
                <th>Mined</th>
                <td> {{ .Mined.Day}}t </td>
                <td> {{ .Mined.Week}}t </td>
                <td> {{ .Mined.Total}}t </td>
            </tr>
            <tr>
                <th>Deep Cores </th>
                <td> {{ .Cores.Day}} </td>
                <td> {{ .Cores.Week}} </td>
                <td> {{ .Cores.Total}} </td>
            </tr>
            <tr>
                <th>Prospectors </th>
                <td> {{ .Prospectors.Day}} </td>
                <td> {{ .Prospectors.Week}} </td>
                <td> {{ .Prospectors.Total}} </td>
            </tr>
        </table>
    </div>
    </div>
</div>

{{ end }}